## spu-tools 2.3.0.136

=== src/Makefile ===
ARCHIV := spu-tools.tar.gz

CC = gcc
CFLAGS = -g -Wall
PREFIX = $(DESTDIR)/usr

objs = ctx-info.o spu-info.o proc-info.o general-info.o spu-top.o spu-ps.o
target = spu-top spu-ps
all: $(target) man

ctx-info.o: ctx-info.c spu-tools.h
spu-info.o: spu-info.c spu-tools.h
proc-info.o: proc-info.c spu-tools.h
general-info.o: general-info.c spu-tools.h
spu-top.o: spu-top.c spu-tools.h
spu-ps.o: spu-ps.c spu-tools.h

spu-top: ctx-info.o spu-info.o proc-info.o general-info.o spu-top.o
	$(CC) $(CFLAGS) -lncurses ctx-info.o spu-info.o proc-info.o general-info.o spu-top.o -o spu-top

spu-ps: ctx-info.o spu-ps.o
	$(CC) $(CFLAGS) ctx-info.o spu-ps.o -o spu-ps

clean:
	@rm -Rf *.o *~ $(objs) $(target) spu-top.1 spu-ps.1
	@rm -f .rpmmacros

man: spu-ps spu-top
	help2man --no-info ./spu-top -o spu-top.1
	help2man --no-info ./spu-ps -o spu-ps.1

install:
	echo Installing at $(PREFIX)
	mkdir -p $(PREFIX)/bin
	cp spu-top spu-ps $(PREFIX)/bin
	mkdir -p $(PREFIX)/share/man/man1
	cp spu-top.1 spu-ps.1 $(PREFIX)/share/man/man1/

=== debian/changelog ===
spu-tools (2.3.0.136-2ubuntu1) yakkety; urgency=medium

  * debian/patches/link-order.patch: move -lncurses to the end so things link
    correctly.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Oct 2016 21:52:21 -0400

spu-tools (2.3.0.136-2) unstable; urgency=medium

  * Adopt package. Closes: #739232
  * Fix compilation issue. Closes: #808173
  * spu-top segfaults when /spu directory doesn't exist. Closes: #578588
  * Bump Std-Vers to 3.9.7

 -- Mathieu Malaterre <malat@debian.org>  Mon, 11 Apr 2016 13:03:25 +0000

spu-tools (2.3.0.136-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Update my email address.
    - Remove XS-DM-Upload-Allowed flag.
    - Bump Standards-Version to 3.8.4.
  * Switch patch system to quilt.

 -- Arthur Loiret <aloiret@debian.org>  Mon, 22 Mar 2010 15:29:21 +0000

spu-tools (2.2.80-95-2) unstable; urgency=low

  * Add ppc64 to Architecture.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 01 Apr 2008 22:43:47 +0000

spu-tools (2.2.80-95-1) unstable; urgency=low

  [Arthur Loiret]
  * Upload to unstable.
  * New upstream release.
  * Packaging update, based on Matthias Klose's work.
  * debian/control:
    + Bump compat to 6 and Standards-Version to 3.7.3.
    + Provides: spu-top, spu-ps.
  * debian/patches/01_fix_manpages.diff: Update manpages.
  * debian/copyright: Update.

  [Pierre Habouzit]
  * debian/control:
    + XS-DM-Upload-Allowed: yes.

 -- Arthur Loiret <arthur.loiret@gmail.com>  Tue, 26 Feb 2008 15:56:37 +0000

spu-tools (1.0-0ubuntu1) gutsy; urgency=low

  * Initial release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Sep 2007 12:43:11 +0000

=== debian/control ===
Source: spu-tools
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
Uploaders: Aurélien GÉRÔME <ag@roxor.cx>
Build-Depends: debhelper (>= 9), help2man, libncurses5-dev
Standards-Version: 3.9.7
Homepage: http://sourceforge.net/projects/libspe

Package: spu-tools
Architecture: powerpc ppc64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: user space tools for the Cell broadband engine
 The spu-tools package contains user space tools for Cell/B.E.
 Currently, it contain two tools:
 .
  - spu-top: a top-like tool to watch the SPU's on a Cell BE
    System. It shows information about SPUs and running SPU contexts.
  - spu-ps: a ps-like tool, which dumps a report on the currently
    running SPU contexts.

=== debian/watch ===
version=3
http://sf.net/libspe/spu-tools-([\d\.]+)\.tar\.gz
